## org.apache.ivy.osgi.obr.xml
Class RequirementAdapter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.RequirementAdapter

    public class RequirementAdapter

extends java.lang.Object

Constructor Summary
`RequirementAdapter()`

Method Summary
`static void` `adapt(BundleInfo info, Requirement requirement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequirementAdapter

    public RequirementAdapter()

Method Detail

### adapt

    public static void adapt(BundleInfo info,
                             Requirement requirement)
                      throws UnsupportedFilterException,
                             java.text.ParseException

  Throws:
    `UnsupportedFilterException`
    `java.text.ParseException`